from django.contrib.auth.models import AbstractUser
from django.db import models


class CustomUser(AbstractUser):
    image = models.ImageField(upload_to='avatars/', verbose_name="Аватар")

    def __str__(self):
        return self.username


class Product(models.Model):
    title = models.CharField(verbose_name="Название", max_length=50)
    description = models.CharField(verbose_name="Описание", max_length=200)
    image = models.ImageField(upload_to='images/', verbose_name="Изображение")
    date = models.DateTimeField(auto_now_add=True, verbose_name="Дата и время создания")

    def __str__(self):
        return self.title


class Order(models.Model):
    customer = models.ForeignKey(CustomUser, on_delete=models.CASCADE)
    product = models.ForeignKey(Product, on_delete=models.CASCADE)

    def __str__(self):
        return f'{self.customer.username} - {self.product.title}'
